Subject: Re: [bug#47979] [PATCH v7 2/3] installer: Recommend 'ntp-service-type' for non-graphical systems.

From: Leo Famulari <[email-masked]>
Date: Tue, 28 Dec 2021 15:34:24 -0500

On Tue, Dec 28, 2021 at 09:27:29AM +0100, Mathieu Othacehe wrote:
> >> +     (null? desktop-environments))
> >                                     ^
> >                                     |
> > There's a typo here that could cause the error mentioned above.

I fixed this bug and pushed as 0d9d151424ab5823e441f056237819277b8aa072.

Thanks a lot for your help!

> Right. I have started a wip-harden-installer branch, and configured
> Cuirass to run the system tests on it:
> https://ci.guix.gnu.org/jobset/wip-harden-installer, to prevent my
> laptop from burning.

I found that the Guix test suite itself fails on berlin, even in the
build container as used when building current-guix-package in the system
tests, but maybe it succeeds when run on the build nodes via CI:

https://issues.guix.gnu.org/46413

That's why I spent a long time running the system tests on my own
computer.